
      
      beta = graythresh(B); % beginning threshold value
      
         B_bw=im2bw(B,beta);
         B_bw2=bwmorph(B_bw,'clean');
         B_bw3=bwfill(B_bw2,'holes',8);
         B_bw4=bwmorph(B_bw3,'majority');
         B_bw5=bwmorph(B_bw4,'clean');

      subplot(2,1,1); imshow(B); title(strcat(['i:' num2str(i) '   j:' num2str(j)])); subplot(2,1,2); imshow(B_bw5);
        maximize(gcf);
        
            hui_m=uicontrol('style','slider','Tag','ThreshSlide','Value',1,'min',0,'max',1/alp,'Position',[500/1152 20/800 200/1152 20/800],'Units','normalized','Callback','m04');
            hui_m1=uicontrol('Style', 'text','Tag','ThreshLabel','String', 'Threshold (0-1):','Position',[500/1152 40/800 200/1152 20/800],'Units','normalized');
            hui_m2=uicontrol('style','pushbutton','String','OK','Position',[800/1152 20/800 40/1152 20/800],'Units','normalized','Enable','on','Callback','accept4');
            hui_m3=uicontrol('style','pushbutton','String','Manually Assign Centroid','Position',[900/1152 20/800 150/1152 40/800],'Units','normalized','Enable','on','Callback','pick_centerB');
            hui_m4=uicontrol('style','pushbutton','String','Reset','Position',[400/1152 30/800 40/1152 20/800],'Units','normalized','Enable','on','Callback','reset_postB');
    
            uiwait;
            
            set(hui_m3,'Visible','off');
            set(hui_m4,'Visible','off');            

         if manual_flagB == 0;            
            regB=regionprops(bwlabel(B_bw5),'Eccentricity','Area','Centroid','Orientation'); 
            areaB= sum(cat(1,regB.Area));
            [maxB indB]=max(cat(1,regB.Area));
            eccB=regB(indB).Eccentricity;
            centB=(cat(1,regB.Centroid));
            indB=1;
         else
             centB=[man_y man_x];
             eccB=1;
             areaB=0;
             B_bw5=ones(ROIstep,ROIstep);
             man_posts_bot(i,j)=1;
         end
         
         final_areaB(i,j)=areaB;
         final_eccB(i,j)=eccB;