clear all;

close all;

warning off;

actin_file=uigetfile('*.tif');

figure;

maximize(gcf);

draw_actin;

uiwait(msgbox(['Drag Rectangle to Crop Image. Set the Crop Box outside of the posts to be analyzed such that it is not touching any posts. Click OK to Continue.'],'Image Cropping','modal'));



    k = waitforbuttonpress;
    point1 = get(gca,'CurrentPoint');    % button down detected
    finalRect = rbbox;                   % return figure units
    point2 = get(gca,'CurrentPoint');    % button up detected
    point1 = point1(1,1:2);              % extract x and y
    point2 = point2(1,1:2);
    p1 = min(point1,point2);             % calculate locations
    o1 = abs(point1-point2);         % and dimensions
    offset=o1;
    x = [p1(1) p1(1)+offset(1) p1(1)+offset(1) p1(1) p1(1)];
    y = [p1(2) p1(2) p1(2)+offset(2) p1(2)+offset(2) p1(2)];
    hold on
    axis manual
    plot(x,y,'r','linewidth',5)
    
 crop_ok=questdlg('Is Crop Area (red) ok?','Crop Area');
 
 while crop_ok(1:2)=='No'; 
    imshow(comp1a);
    maximize(gcf);
    k = waitforbuttonpress;
    point1 = get(gca,'CurrentPoint');    % button down detected
    finalRect = rbbox;                   % return figure units
    point2 = get(gca,'CurrentPoint');    % button up detected
    point1 = point1(1,1:2);              % extract x and y
    point2 = point2(1,1:2);
    p1 = min(point1,point2);             % calculate locations
    o1 = abs(point1-point2);         % and dimensions
    offset=o1;
    x = [p1(1) p1(1)+offset(1) p1(1)+offset(1) p1(1) p1(1)];
    y = [p1(2) p1(2) p1(2)+offset(2) p1(2)+offset(2) p1(2)];
    hold on
    axis manual
    plot(x,y,'r','linewidth',5)
    crop_ok=questdlg('Is Crop Area (red) ok?','Crop Area');
 end

 actin4a=imcrop(actin4,[p1 offset]);
 actin2b=imcrop(actin2,[p1 offset]);
 
 subplot(1,1,1);
 
 imshow(actin4a);
 
 
 uiwait(msgbox('Click OK, then select the cell of interest from the image'));

 [x,y]=ginput(1);
 
 actin4b=bwselect(actin4a,x,y);

[boundaries_actin,L_actin]=bwboundaries(actin4b,4);
    
s_actin=regionprops(L_actin,'basic');

convert = .108153;

total_area=sum(cat(1,s_actin.Area))*convert^2;

hold off;

subplot(1,1,1);

post_actin_h1=imshow(actin2b);


title([sprintf('%9.2f',total_area) ' um^2']);

hold on;

k=1;

for i=1:length(s_actin);
    b=boundaries_actin{i};
    if length(b)>(pi*3/convert);
        post_actin_h(i)=plot(b(:,2),b(:,1),'y');
        b_actin(k)=i;
        k=k+1;
    end
end

fid=fopen('area_summary.txt','a');

fprintf(fid,'%s ;', [actin_file]);

fprintf(fid,'%9.4f \r', [total_area]);

fclose(fid);