% CAL 1/21/03
%
% Rearrange post data into sorted x-y grid (Note: x and y variables are 
% switched in this code)

%col=input('Number of Columns?');
%row=input('Number of Rows?');
nt=length(xt);
nb-length(xb);

% Sort center data based on y coordinate

[sort1_xt,ind1t]=sort(xt);
[sort1_xb,ind1b]=sort(xb);

% Determine number of columns by finding the first gap in y data

col=1;

for i=2:length(sort1_xb);
   if sort1_xb(i) < (sort1_xb(1)+50);
      col=col+1;
   end
end

% Determine the number of rows by dividing total centers by number of cols

row=floor(nb/col);

% Now sort each row by x coordinate

for i = 1:nb;
   s_yb(i)=y(ind1b(i));
   sort1_yb=transpose(s_yb);
   s_yt(i)=y(ind1t(i));
   sort1_yt=transpose(s_yt);
end

for i=1:row;
   temp_xb=[sort1_xb((1+(i-1)*col):(i*col))];
   temp_yb=[sort1_yb((1+(i-1)*col):(i*col))];
   temp_xt=[sort1_xt((1+(i-1)*col):(i*col))];
   temp_yt=[sort1_yt((1+(i-1)*col):(i*col))];
   
   [sort2_yb,ind2]=sort(temp_yb);
   [sort2_yt,ind2]=sort(temp_yt);  
   
   for j=1:col;
      s_xb(j)=temp_xb(ind2b(j));
      sort2_xb=transpose(s_xb);
      s_xt(j)=temp_xt(ind2t(j));
      sort2_xt=transpose(s_xt);      
   end
   
   sort1_xb((1+(i-1)*col):(i*col))=sort2_xb;
   sort1_yb((1+(i-1)*col):(i*col))=sort2_yb;
   sort1_xt((1+(i-1)*col):(i*col))=sort2_xt;
   sort1_yt((1+(i-1)*col):(i*col))=sort2_yt;
end  

% Change data from single column vector of centers to array with i,j corresponding
% to post row and column

for i=1:row;
   for j=1:col;
      actual_xb(i,j)=sort1_xb(col*(i-1)+j);
      actual_yb(i,j)=sort1_yb(col*(i-1)+j);
      actual_xt(i,j)=sort1_xt(col*(i-1)+j);
      actual_yt(i,j)=sort1_yt(col*(i-1)+j);
   end
end
